# OpalMediaPatch::Sink Class Reference

`#include <patch.h>`

List of all members.

## Public Member Functions

| Sink (OpalMediaPatch &p, const OpalMediaStreamPtr &s)
| ~Sink ()
bool | UpdateMediaFormat (const OpalMediaFormat &mediaFormat)
bool | ExecuteCommand (const OpalMediaCommand &command)
void | SetCommandNotifier (const PNotifier &notifier)
bool | WriteFrame (RTP_DataFrame &sourceFrame)

## Public Attributes

OpalMediaPatch & | patch
OpalMediaStreamPtr | stream
OpalTranscoder * | primaryCodec
OpalTranscoder * | secondaryCodec
RTP_DataFrameList | intermediateFrames
RTP_DataFrameList | finalFrames
bool | writeSuccessful

## Constructor & Destructor Documentation

OpalMediaPatch::Sink::Sink | ( | OpalMediaPatch & | p,
|  | const OpalMediaStreamPtr & | s |
| ) |  |  |

OpalMediaPatch::Sink::~Sink | ( |  | ) |

## Member Function Documentation

bool OpalMediaPatch::Sink::UpdateMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) |

bool OpalMediaPatch::Sink::ExecuteCommand | ( | const OpalMediaCommand & | command | ) |

void OpalMediaPatch::Sink::SetCommandNotifier | ( | const PNotifier & | notifier | ) |

bool OpalMediaPatch::Sink::WriteFrame | ( | RTP_DataFrame & | sourceFrame | ) |

## Member Data Documentation

OpalMediaPatch& OpalMediaPatch::Sink::patch

OpalMediaStreamPtr OpalMediaPatch::Sink::stream

OpalTranscoder* OpalMediaPatch::Sink::primaryCodec

OpalTranscoder* OpalMediaPatch::Sink::secondaryCodec

RTP_DataFrameList OpalMediaPatch::Sink::intermediateFrames

RTP_DataFrameList OpalMediaPatch::Sink::finalFrames

bool OpalMediaPatch::Sink::writeSuccessful

The documentation for this class was generated from the following file:

- patch.h